APT(8)

NOM
apt - interface en ligne de commande

SYNOPSIS

apt [-h] [-o=chaîne_de_configuration] [-c=fichier_de_configuration] [-t=publication_cible] [-a=architecture] {list | search | show | update | install paquet [{=numéro_version_paquet | /publication_cible}]... | remove paquet... | upgrade | full-upgrade | edit-sources | {-v | --version} | {-h | --help}}

DESCRIPTION

apt (Advanced Package Tool) est un outil en ligne de commande pour gérer les paquets. Il fournit une interface en ligne de commande au système de gestion de paquets. Voir également apt-get(8) et apt-cache(8) pour davantage d'options en ligne de commande.

list
    La commande list est utilisée pour afficher une liste de paquets. Il gère les motifs du shell pour chercher les noms de paquets, ainsi que les options suivantes : --installed, --upgradable, --all-versions.

search
    La commande search recherche le(s) terme(s) donnée(s) et affiche les paquets correspondants.

show
    La commande show affiche les informations sur le(s) paquet(s) donné(s).

install
    La commande install est suivie du nom de un ou plusieurs paquets dont l'installation ou la mise à jour est souhaitée.

    On peut choisir d'installer une version particulière d'un paquet en faisant suivre son nom par un signe égal et par la version. Cette version sera recherchée et l'installation sera demandée. On peut aussi choisir une distribution particulière en faisant suivre le nom du paquet par une barre oblique et par le nom de la distribution ou de l'archive (stable, testing, unstable).

remove
    La commande remove est identique à la commande install, les paquets étant alors supprimés et non installés. Veuillez noter que la suppression d'un paquet en laisse les fichiers de configuration sur le système. Quand un signe plus est accolé (sans espace intermédiaire) au nom du paquet, le paquet est installé au lieu d'être supprimé.

edit-sources
    La commande edit-sources permet de modifier le fichier sources.list et fournit des vérifications de sécurité de base.

update
    La commande update permet de resynchroniser un fichier d'index répertoriant les paquets disponibles et sa source.

upgrade
    La commande upgrade permet d'installer les versions les plus récentes de tous les paquets présents sur le système en utilisant les sources énumérées dans /etc/apt/sources.list. De nouveaux paquets seront installés, mais les paquets installés ne seront jamais supprimés.

full-upgrade
    La commande full-upgrade remplit la même fonction que upgrade mais peut aussi supprimer des paquets installés si cela est nécessaire pour résoudre un conflit entre des paquets.

OPTIONS

Toutes les options de la ligne de commande peuvent être définies dans le fichier de configuration, les descriptions indiquant l'option de configuration concernée. Pour les options booléennes, vous pouvez inverser les réglages du fichiers de configuration avec -f-,--no-f, -f=no et d'autres variantes analogues.

-h, --help
    Afficher un bref résumé de l'utilisation.

-v, --version
    Afficher la version du programme.

-c, --config-file
    Fichier de configuration ; indique le fichier de configuration à utiliser. Le programme lira le fichier de configuration par défaut puis le fichier indiqué ici. Si les réglages de configuration doivent être établis avant l'analyse des fichiers de configuration par défaut, un fichier peut être indiqué avec la variable d'environnement APT_CONFIG. Veuillez consulter apt.conf(5) pour des informations sur la syntaxe d'utilisation.

-o, --option
    Définir une option de configuration ; permet de régler une option de configuration donnée. La syntaxe est -o Foo::Bar=bar. -o et --option peuvent être utilisées plusieurs fois pour définir des options différentes.

UTILISATION DE SCRIPTS

La ligne de commande de apt(8) est conçue comme un outil pour l'utilisateur et les sorties peuvent varier selon ses versions. Bien qu'il s'efforce de ne pas casser les compatibilités ascendantes, cela ne peut pas non plus être garanti. Toutes les fonctionnalités de apt(8) existent dans apt-cache(8) et apt-get(8) grâce aux options de APT. Il est conseillé d'utiliser ces commandes dans vos scripts.

DIFFÉRENCES AVEC APT-GET(8)

La commande apt est sensée être agréable à l'utilisateur et ne pas avoir besoin de compatibilité ascendante comme apt-get(8). Par conséquent, certaines options sont différentes :

    • L'option DPkg::Progress-Fancy est activée.

    • L'option APT::Color est activée.

    • Une nouvelle commande list est disponible, semblable à la commande dpkg --list.

    • La commande upgrade a l'option --with-new-pkgs activée par défaut.

VOIR AUSSI

apt-get(8), apt-cache(8), sources.list(5), apt.conf(5), apt-config(8), le guide d'APT dans /usr/share/doc/apt-doc/, apt_preferences(5), le « HOWTO » d'APT.

DIAGNOSTICS

apt renvoie zéro après une opération normale, et le décimal 100 en cas d'erreur.

BOGUES

Page des bogues d'APT[1]. Si vous souhaitez signaler un bogue à propos d'APT, veuillez lire /usr/share/doc/debian/bug-reporting.txt ou utiliser la commande reportbug(1).

TRADUCTEURS

Jérôme Marant, Philippe Batailler, Christian Perrier <bubulle@debian.org> (2000, 2005, 2009, 2010), Équipe de traduction francophone de Debian <debian-l10n-french@lists.debian.org>

Veuillez noter que cette traduction peut contenir des parties non traduites. Cela est volontaire, pour éviter de perdre du contenu quand la traduction est légèrement en retard sur le contenu d'origine.

AUTEUR

Équipe de développement d'APT

NOTES

1.  Page des bogues d'APT
    http://bugs.debian.org/src:apt